<?php
namespace TYPO3\CbWishlist\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Christian Geser <wishlist-typo3@gmx.de>
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package cb_wishlist
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class WishlistController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * wishlistRepository
	 *
	 * @var \TYPO3\CbWishlist\Domain\Repository\WishlistRepository
	 * @inject
	 */
	protected $wishlistRepository;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {
		$wishlists = $this->wishlistRepository->findAll();
		$this->view->assign('wishlists', $wishlists);
	}

	/**
	 * action show
	 *
	 * @param \TYPO3\CbWishlist\Domain\Model\Wishlist $wishlist
	 * @return void
	 */
	public function showAction(\TYPO3\CbWishlist\Domain\Model\Wishlist $wishlist) {
		$this->view->assign('wishlist', $wishlist);
	}

}?>